﻿using System;
using Syncfusion.SfChart.XForms;
using Xamarin.Forms;

namespace Metrics
{
    public partial class MetricsPage : ContentPage
    {
        void DateTimeAxis_LabelCreated (object sender, ChartAxisLabelEventArgs e)
		{

			DateTime date = DateTime.Parse(e.LabelContent);

			e.LabelContent = date.ToString("hh tt");
		}

		void DateTimeAxis_LabelCreated1(object sender, ChartAxisLabelEventArgs e)
		{
			DateTime date = DateTime.Parse(e.LabelContent);

			string str = date.ToString("ddd");
			string str1 =date.ToString("dd");

			if (string.Equals(str, "Mon"))
			{
				str = " M";
			}
			else if (string.Equals(str, "Tue") || string.Equals(str, "Thu"))
			{
				str = " T";
			}
			else if (string.Equals(str, "Wed"))
			{
				str = " W";
			}
			else if (string.Equals(str, "Fri"))
			{
				str = " F";
			}
			else if (string.Equals(str, "Sat") || string.Equals(str, "Sun"))
			{
				str = " S";
			}

			e.LabelContent = str + "\n " + str1;
		}

		public MetricsPage()
        {
            InitializeComponent();

            ((SfChart)RangeNavigator.Content).Series.Clear();
            ((SfChart)RangeNavigator.Content).Series.Add(new SplineAreaSeries() { ItemsSource = series.ItemsSource, XBindingPath = "XValue", YBindingPath = "YValue" });


			dateAxis.LabelCreated += DateTimeAxis_LabelCreated;
			dateAxis2.LabelCreated += DateTimeAxis_LabelCreated1;

			dateAxis2.LabelStyle.Margin = new Thickness(30, 5, 5, 5);

			dateAxis2.LabelStyle.Font = Font.SystemFontOfSize(15);

			dateAxis2.LabelsIntersectAction = AxisLabelsIntersectAction.None;
			dateAxis2.EdgeLabelsVisibilityMode = EdgeLabelsVisibilityMode.Visible;

            if (Device.OS == TargetPlatform.Android)
            {
                RangeNavigator.HeightRequest = 150;
            }
            else if (Device.OS == TargetPlatform.iOS)
            {
                RangeNavigator.HeightRequest = 100;
            }
        }

        void nac_RangeChanged(object sender, Syncfusion.RangeNavigator.XForms.RangeChangedEventArgs e)
        {
            dateAxis.Minimum = e.ViewRangeStartDate;
            dateAxis.Maximum = e.ViewRangeEndDate;

			dateAxis.IntervalType = DateTimeIntervalType.Hours;  			double difference = (e.ViewRangeEndDate - e.ViewRangeStartDate).Hours  ;

			double interval = difference/1.5;

			dateAxis.Interval = Math.Round(interval);
        }
    }
}
